#
# Conditional build:
%bcond_with	apidocs	# API documentation

Summary:	JSON-GLib - a library providing serialization and deserialization support for the JSON format
Summary(pl.UTF-8):	JSON-GLib - biblioteka zapewniająca serializację i deserializację dla formatu JSON
Name:		json-glib
Version:	1.10.6
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/json-glib/1.10/%{name}-%{version}.tar.xz
# Source0-md5:	d4bf13ddd1e6d607d039d39286f9e3d0
URL:		https://wiki.gnome.org/Projects/JsonGlib
BuildRequires:	docutils
BuildRequires:	gettext-tools >= 0.18
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.6}
BuildRequires:	glib2-devel >= 1:2.72.0
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	meson >= 1.2.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.029
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.72.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON-GLib is a library providing serialization and deserialization
support for the JavaScript Object Notation (JSON) format described by
RFC 4627.

%description -l pl.UTF-8
JSON-GLib to biblioteka zapewniająca obsługę serializacji i
deserializacji dla formatu JSON (JavaScript Object Notation) opisanego
w RFC 4627.

%package devel
Summary:	Header files for the json-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki json-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.72.0

%description devel
Header files for the json-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki json-glib.

%package static
Summary:	Static json-glib library
Summary(pl.UTF-8):	Statyczna biblioteka json-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static json-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka json-glib.

%package apidocs
Summary:	json-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API json-glib
Group:		Documentation
BuildArch:	noarch

%description apidocs
json-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API json-glib.

%prep
%setup -q

%build
%meson build \
	%{!?with_apidocs:-Ddocumentation=disabled} \
	-Dintrospection=enabled \
	-Dinstalled_tests=false \
	-Dman=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

#%{__rm} -r $RPM_BUILD_ROOT{%{_libexecdir},%{_datadir}}/installed-tests/json-glib-1.0

%find_lang %{name}-1.0

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/json-glib-1.0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/json-glib-format
%attr(755,root,root) %{_bindir}/json-glib-validate
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjson-glib-1.0.so.0
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so
%{_datadir}/gir-1.0/Json-1.0.gir
%{_includedir}/json-glib-1.0
%{_pkgconfigdir}/json-glib-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libjson-glib-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/json-glib-1.0
%endif
%changelog
* Sun Dec 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/json-glib.git;a=log;h=master

* Wed Dec 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 30e6417
- updated to 1.10.6

* Sat Aug 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 291f665
- updated to 1.10.0

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> ce962e2
- post gtk-doc cleanup

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 5bec1bb
- use _gidocdir for apidocs

* Sat Sep 16 2023 Jan Palus <atler@pld-linux.org> a772158
- BR: docbook-style-xsl-nons

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> adddab4
- updated to 1.8.0

* Tue Aug 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d5bf65
- updated to 1.6.6

* Thu Aug 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 4110ab0
- updated to 1.6.4; now uses gi-docgen for apidocs

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8b522c9
- unconditional noarch subpackages

* Tue Feb 09 2021 Jakub Bogusz <qboosh@pld-linux.org> b070f2d
- updated to 1.6.2

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 87fa5f7
- fixed tests cleanup; release 2

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> dec060e
- updated to 1.6.0

* Thu Oct 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 6ad72b9
- updated to 1.4.4
- package -static (built with macros 1.733+)

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 913c70e
- use new meson macros

* Tue Sep 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7155357
- Update to 1.4.2

* Sun Mar 19 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e9e3166
- Update to 1.2.8

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> ba801cc
- updated to 1.2.6

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> c995f26
- updated to 1.2.2

* Tue Mar 22 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f6bdc84
- Update to 1.2.0

* Mon Mar 14 2016 Jakub Bogusz <qboosh@pld-linux.org> fd9f1df
- updated to 1.1.2

